package com.bwie.shop.controller;

import com.bwie.common.domain.Shop;
import com.bwie.common.result.Result;
import com.bwie.shop.service.ShopService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Classname ShopController
 * @Description TODO
 * @Date 2024/8/7 下午6:51
 * @Created by 杨旭飞
 */
@Api(value = "/shop", tags = {"TODO"})
@RestController
@RequestMapping("/shop")
public class ShopController {

    @Autowired
    private ShopService shopService;

    /**
     * 列表
     * @return
     */
    @RequestMapping("/list")
    public Result<List<Shop>> list(){
        List<Shop> list = shopService.list();
        return Result.success(list);
    }
}
