/*
 Navicat Premium Dump SQL

 Source Server         : 123.60.88.248
 Source Server Type    : MySQL
 Source Server Version : 80401 (8.4.1)
 Source Host           : 123.60.88.248:3306
 Source Schema         : day_8.7ks

 Target Server Type    : MySQL
 Target Server Version : 80401 (8.4.1)
 File Encoding         : 65001

 Date: 07/08/2024 18:59:43
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for shop
-- ----------------------------
DROP TABLE IF EXISTS `shop`;
CREATE TABLE `shop`  (
  `shop_id` int NOT NULL AUTO_INCREMENT COMMENT '商品唯一标识',
  `shop_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '商品名称',
  `shop_price` int NULL DEFAULT NULL COMMENT '商品价格',
  `shop_time` datetime NULL DEFAULT NULL COMMENT '商品评论时间',
  `shop_new` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '商品最新回答的问题',
  `shop_static` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '商品质量',
  PRIMARY KEY (`shop_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of shop
-- ----------------------------
INSERT INTO `shop` VALUES (1, '键盘', 1788, '2024-08-21 18:44:32', '有点小贵，但是非常好用，质量好', '好');
INSERT INTO `shop` VALUES (2, '鼠标', 1588, '2024-08-21 18:44:32', '很沉，但是流畅度很高', '中等');
INSERT INTO `shop` VALUES (3, '耳机', 699, '2024-08-21 18:44:32', '外界隔音，但是太闷', '中等');
INSERT INTO `shop` VALUES (4, '电脑', 59999, '2024-08-21 18:44:32', '电脑性能非常强', '好');
INSERT INTO `shop` VALUES (5, '插排', 379, '2024-08-21 18:44:32', '不值这个价格', '差');

SET FOREIGN_KEY_CHECKS = 1;
